<?php

/**
 * Module adds the target-based noreferrer attribute transformation to a tags.  It
 * is enabled by HTML.TargetNoreferrer
 */
class ROE_Vendor_HTMLPurifier_HTMLModule_TargetNoreferrer extends ROE_Vendor_HTMLPurifier_HTMLModule
{
    /**
     * @type string
     */
    public $name = 'TargetNoreferrer';

    /**
     * @param ROE_Vendor_HTMLPurifier_Config $config
     */
    public function setup($config) {
        $a = $this->addBlankElement('a');
        $a->attr_transform_post[] = new ROE_Vendor_HTMLPurifier_AttrTransform_TargetNoreferrer();
    }
}
